Package ru.bitel.oss.systems.inventory.product.common.event

# Class ProductModifyEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.inventory.product.common.event.ProductModifyEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ProductModifyEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductModifyEvent(int contractId, int userId, ProductSpec productSpec, Product oldProduct, Product newProduct, boolean sync, boolean process)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`
  `Product`
  `getNewProduct()`
  `Product`
  `getOldProduct()`
  `List<ProductEntry>`
  `getProductEntryList()`
  `ProductSpec`
  `getProductSpec()`
  `boolean`
  `isProcess()`
  `boolean`
  `isSync()`
  Нужна ли синхронизация (не нужна, если MW активировало/активирует само).
  `void`
  `setMessage(String message)`
  `void`
  `setNewProduct(Product newProduct)`
  `void`
  `setOldProduct(Product oldProduct)`
  `void`
  `setProcess(boolean activate)`
  `void`
  `setProductEntryList(List<ProductEntry> productEntryList)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductModifyEvent

    public ProductModifyEvent(int contractId, int userId, ProductSpec productSpec, Product oldProduct, Product newProduct, boolean sync, boolean process)

- ## Method Details

  - ### isSync

    public boolean isSync()
    Нужна ли синхронизация (не нужна, если MW активировало/активирует само).

  - ### isProcess

    public boolean isProcess()

  - ### setProcess

    public void setProcess(boolean activate)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getProductSpec

    public ProductSpec getProductSpec()

  - ### getOldProduct

    public Product getOldProduct()

  - ### setOldProduct

    public void setOldProduct(Product oldProduct)

  - ### getNewProduct

    public Product getNewProduct()

  - ### setNewProduct

    public void setNewProduct(Product newProduct)

  - ### getProductEntryList

    public List<ProductEntry> getProductEntryList()

  - ### setProductEntryList

    public void setProductEntryList(List<ProductEntry> productEntryList)